package net.letime.lecjoa.entity;

import java.lang.System;

@kotlin.Metadata(mv = {1, 1, 10}, bv = {1, 0, 2}, k = 1, d1 = {"\u00002\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0010 \n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0002\b\n\n\u0002\u0010\u000b\n\u0002\b\u0002\n\u0002\u0010\b\n\u0002\b\u0002\b\u0086\b\u0018\u00002\u00020\u0001B/\u0012\f\u0010\u0002\u001a\b\u0012\u0004\u0012\u00020\u00040\u0003\u0012\f\u0010\u0005\u001a\b\u0012\u0004\u0012\u00020\u00060\u0003\u0012\f\u0010\u0007\u001a\b\u0012\u0004\u0012\u00020\b0\u0003\u00a2\u0006\u0002\u0010\tJ\u000f\u0010\u000e\u001a\b\u0012\u0004\u0012\u00020\u00040\u0003H\u00c6\u0003J\u000f\u0010\u000f\u001a\b\u0012\u0004\u0012\u00020\u00060\u0003H\u00c6\u0003J\u000f\u0010\u0010\u001a\b\u0012\u0004\u0012\u00020\b0\u0003H\u00c6\u0003J9\u0010\u0011\u001a\u00020\u00002\u000e\b\u0002\u0010\u0002\u001a\b\u0012\u0004\u0012\u00020\u00040\u00032\u000e\b\u0002\u0010\u0005\u001a\b\u0012\u0004\u0012\u00020\u00060\u00032\u000e\b\u0002\u0010\u0007\u001a\b\u0012\u0004\u0012\u00020\b0\u0003H\u00c6\u0001J\u0013\u0010\u0012\u001a\u00020\u00132\b\u0010\u0014\u001a\u0004\u0018\u00010\u0001H\u00d6\u0003J\t\u0010\u0015\u001a\u00020\u0016H\u00d6\u0001J\t\u0010\u0017\u001a\u00020\bH\u00d6\u0001R\u0017\u0010\u0002\u001a\b\u0012\u0004\u0012\u00020\u00040\u0003\u00a2\u0006\b\n\u0000\u001a\u0004\b\n\u0010\u000bR\u0017\u0010\u0007\u001a\b\u0012\u0004\u0012\u00020\b0\u0003\u00a2\u0006\b\n\u0000\u001a\u0004\b\f\u0010\u000bR\u0017\u0010\u0005\u001a\b\u0012\u0004\u0012\u00020\u00060\u0003\u00a2\u0006\b\n\u0000\u001a\u0004\b\r\u0010\u000b\u00a8\u0006\u0018"}, d2 = {"Lnet/letime/lecjoa/entity/SearchResults;", "", "accounts", "", "Lnet/letime/lecjoa/entity/Account;", "statuses", "Lnet/letime/lecjoa/entity/Status;", "hashtags", "", "(Ljava/util/List;Ljava/util/List;Ljava/util/List;)V", "getAccounts", "()Ljava/util/List;", "getHashtags", "getStatuses", "component1", "component2", "component3", "copy", "equals", "", "other", "hashCode", "", "toString", "app_debug"})
public final class SearchResults {
    @org.jetbrains.annotations.NotNull()
    private final java.util.List<net.letime.lecjoa.entity.Account> accounts = null;
    @org.jetbrains.annotations.NotNull()
    private final java.util.List<net.letime.lecjoa.entity.Status> statuses = null;
    @org.jetbrains.annotations.NotNull()
    private final java.util.List<java.lang.String> hashtags = null;
    
    @org.jetbrains.annotations.NotNull()
    public final java.util.List<net.letime.lecjoa.entity.Account> getAccounts() {
        return null;
    }
    
    @org.jetbrains.annotations.NotNull()
    public final java.util.List<net.letime.lecjoa.entity.Status> getStatuses() {
        return null;
    }
    
    @org.jetbrains.annotations.NotNull()
    public final java.util.List<java.lang.String> getHashtags() {
        return null;
    }
    
    public SearchResults(@org.jetbrains.annotations.NotNull()
    java.util.List<net.letime.lecjoa.entity.Account> accounts, @org.jetbrains.annotations.NotNull()
    java.util.List<net.letime.lecjoa.entity.Status> statuses, @org.jetbrains.annotations.NotNull()
    java.util.List<java.lang.String> hashtags) {
        super();
    }
    
    @org.jetbrains.annotations.NotNull()
    public final java.util.List<net.letime.lecjoa.entity.Account> component1() {
        return null;
    }
    
    @org.jetbrains.annotations.NotNull()
    public final java.util.List<net.letime.lecjoa.entity.Status> component2() {
        return null;
    }
    
    @org.jetbrains.annotations.NotNull()
    public final java.util.List<java.lang.String> component3() {
        return null;
    }
    
    @org.jetbrains.annotations.NotNull()
    public final net.letime.lecjoa.entity.SearchResults copy(@org.jetbrains.annotations.NotNull()
    java.util.List<net.letime.lecjoa.entity.Account> accounts, @org.jetbrains.annotations.NotNull()
    java.util.List<net.letime.lecjoa.entity.Status> statuses, @org.jetbrains.annotations.NotNull()
    java.util.List<java.lang.String> hashtags) {
        return null;
    }
    
    @java.lang.Override()
    public java.lang.String toString() {
        return null;
    }
    
    @java.lang.Override()
    public int hashCode() {
        return 0;
    }
    
    @java.lang.Override()
    public boolean equals(java.lang.Object p0) {
        return false;
    }
}